<?
	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด

      $key=$_GET["key"];
      $id=$_POST["id"];
      $name=$_POST["name"];
      $pass01=$_POST["pass01"];
      $pass02=$_POST["pass02"];


	$filename="member.txt";
		if(file_exists($filename)) 
	   {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
          $num=0;
         for($i=0;$i<sizeof($dat01);$i++)
		 {
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
  		    $split = explode("|X|",$dat01[$i]);
			if($num<=$split[0])$num=$split[0]+1;
			if($split[1]==$id)
			    {
				    echo "ID ซ้ำ กรุณากรอก ID ใหม่อีกครัง";
					exit();
				}
         }
 	$filename="member.txt";
    //chmod($filename, 0777);
	
	$FILE=fopen($filename,"w+");
	flock($FILE,2);
	fputs( $FILE , "$num|X|$id|X|$pass01|X|$name|X|\n");

	if(file_exists($filename)) 
	  {
		for ($i=0 ; $i<sizeof($dat01) ; $i++)
		{
			fputs($FILE,$dat01[$i]);
		}	
      } // end if

	flock($FILE,3);
	fclose($FILE);
 
   header("Location:admin.php?key=$key");  
   
}else
{
    echo "error"; 
}


?>
